Bug 998977 - HPLIP's pstotiff filter is used for application/postscript source documents
HPLIP's pstotiff filter is used for application/postscript source documents
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups-filters (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 998981
  Show dependency treegraph
 
Reported: 2013-08-20 09:04 EDT by Tim Waugh
Modified: 2013-09-30 22:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: ghostscript-9.10-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 998981 (view as bug list)
Environment:
Last Closed: 2013-08-22 20:37:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2013-08-20 09:04:43 EDT
Description of problem:
When trying to convert application/postscript to application/vnd.cups-pdf, the pstotiff filter (from HPLIP for faxing support) gets used:

application/postscript
  -> application/pdf via pstopdf (100)
  -> application/vnd.cups-pdf via pdftopdf (66)
  = 166

application/postscript
  -> image/tiff via pstotiff (80)
  -> application/vnd.cups-pdf via imagetopdf (33)
  = 113 

So the pstotiff path wins.

CUPS Raster drivers such as gutenprint seem to be unaffected:

application/postscript
  -> application/vnd.cups-postscript via pstops (66)
  -> application/vnd.cups-raster via gstoraster (100)
  = 166

application/postscript
  -> image/tiff via pstotiff (80)
  -> application/vnd.cups-raster via imagetoraster (100)
  = 180

Version-Release number of selected component (if applicable):
cups-filters-1.0.35-3.fc19.x86_64
hplip-3.13.7-1.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Set up a queue using a Foomatic driver
2.Submit a PostScript job
3.Examine the filters used (e.g. cupsctl --debug-logging, then view error_log)

Actual results:
pstotiff is used

Expected results:
pstotiff not used
Comment 1 Fedora Update System 2013-08-21 09:40:52 EDT
ghostscript-9.07-12.fc19,cups-filters-1.0.36-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghostscript-9.07-12.fc19,cups-filters-1.0.36-2.fc19
Comment 2 Fedora Update System 2013-08-21 20:46:47 EDT
Package ghostscript-9.07-12.fc19, cups-filters-1.0.36-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghostscript-9.07-12.fc19 cups-filters-1.0.36-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15111/ghostscript-9.07-12.fc19,cups-filters-1.0.36-2.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-08-22 20:37:43 EDT
ghostscript-9.07-12.fc19, cups-filters-1.0.36-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-09-26 11:20:09 EDT
ghostscript-9.10-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghostscript-9.10-4.fc20
Comment 5 Fedora Update System 2013-09-30 22:08:15 EDT
ghostscript-9.10-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.